# We are at the root - so plugins don't continue looking up the file tree
root = true

# For all files, we use Linux line-endings and force a final newline at the end
[*]
end_of_line = lf
insert_final_newline = true

# Charset for most code files
[*.{kt,kts,yml,yaml,json}]
charset = utf-8

# Kotlin-specific settings
[*.{kt,kts}]
indent_size = 4
indent_style = space

# YAML settings
[*.{yml, yaml}]
indent_size = 2
indent_style = space
